org.springframework.expression.common

## Class TemplateParserContext

- java.lang.Object
- - org.springframework.expression.common.TemplateParserContext

All Implemented Interfaces:
  ParserContext

    public class TemplateParserContext
    extends Object
    implements ParserContext

Configurable `ParserContext` implementation for template parsing. Expects the expression prefix and suffix as constructor arguments.

Since:
  3.0
Author:
  Juergen Hoeller

### Field Summary

### Fields inherited from interface org.springframework.expression.ParserContext

`TEMPLATE_EXPRESSION`

### Constructor Summary

Constructors
Constructor and Description
`TemplateParserContext()` Create a new TemplateParserContext with the default "#{" prefix and "}" suffix.
`TemplateParserContext(String expressionPrefix, String expressionSuffix)` Create a new TemplateParserContext for the given prefix and suffix.

### Method Summary

Methods
`String` `getExpressionPrefix()` For template expressions, returns the prefix that identifies the start of an expression block within a string.
`String` `getExpressionSuffix()` For template expressions, return the prefix that identifies the end of an expression block within a string.
`boolean` `isTemplate()` Whether or not the expression being parsed is a template.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TemplateParserContext

    public TemplateParserContext()

Create a new TemplateParserContext with the default "#{" prefix and "}" suffix.

#### TemplateParserContext

    public TemplateParserContext(String expressionPrefix,
                         String expressionSuffix)

Create a new TemplateParserContext for the given prefix and suffix.

Parameters:
  `expressionPrefix` - the expression prefix to use
  `expressionSuffix` - the expression suffix to use

### Method Detail

#### isTemplate

    public final boolean isTemplate()

Description copied from interface: `ParserContext`
Whether or not the expression being parsed is a template. A template expression consists of literal text that can be mixed with evaluatable blocks. Some examples:

               Some literal text
         Hello #{name.firstName}!
         #{3 + 4}

Specified by:
  `isTemplate` in interface `ParserContext`
Returns:
  true if the expression is a template, false otherwise

#### getExpressionPrefix

    public final String getExpressionPrefix()

Description copied from interface: `ParserContext`
For template expressions, returns the prefix that identifies the start of an expression block within a string. For example: "${"

Specified by:
  `getExpressionPrefix` in interface `ParserContext`
Returns:
  the prefix that identifies the start of an expression

#### getExpressionSuffix

    public final String getExpressionSuffix()

Description copied from interface: `ParserContext`
For template expressions, return the prefix that identifies the end of an expression block within a string. For example: "}"

Specified by:
  `getExpressionSuffix` in interface `ParserContext`
Returns:
  the suffix that identifies the end of an expression